$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName

$url_x86_64_zip = 'https://github.com/starship/starship/releases/download/v1.18.0/starship-x86_64-pc-windows-msvc.zip'
$url_i686_zip = 'https://github.com/starship/starship/releases/download/v1.18.0/starship-i686-pc-windows-msvc.zip'
$checksum_x86_64_zip = 'B5FFB4CABC44AAE9AC408C62F9C5372A8A3B04E3162D01A6FD780AFFA237F9C8'
$checksum_i686_zip = '6598F5B3B98D5E0A0F1F43BE5A37A47A427026C914DAF8820416F07298C8EF51'

$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$packageArgs = @{
    packageName   = $packageName
    fileType      = 'zip'
    url           = $url_i686_zip
    url64bit      = $url_x86_64_zip
    checksum      = $checksum_i686_zip
    checksum64    = $checksum_x86_64_zip
    checksumType  = 'sha256'
    unzipLocation = $toolsDir
}
Install-ChocolateyZipPackage @packageArgs

# Add to Profile
Write-Host "Add the following to the end of ~\Documents\PowerShell\Microsoft.PowerShell_profile.ps1 'Invoke-Expression (&starship init powershell)'"
